﻿using System;

namespace NDB.Infrastructure.DatabaseMigration.Models
{
    internal class MigrationThumbprint
    {
        public MigrationSignature[] MigrationSignatures { get; set; }
    }

    internal class MigrationSignature
    {
        public DateTime MigrationDate { get; set; }
        public string MachineName { get; set; }
        public MigratedVersion[] MigratedVersions { get; set; }
        public string LastVersion { get; set; }
    }

    internal class MigratedVersion
    {
        public string Version { get; set; }
        public string[] Scripts { get; set; }
    }

    internal class ScriptPack
    {
        public string Path { get; set; }
        public Version Version { get; set; }
    }
}
