﻿using NDB.Infrastructure.DatabaseMigration.Constants;

namespace NDB.Infrastructure.DatabaseMigration.Models
{
    internal class ServiceConfiguration
    {
        public DatabaseType DatabaseType { get; }
        public string ConnectionName { get; }
        public string Workspace { get; }
        public string ScriptsDirectory { get; }

        public ServiceConfiguration(DatabaseType databaseType, string connectionName, string workspace, string scriptsDirectory)
        {
            DatabaseType = databaseType;
            ConnectionName = connectionName;
            Workspace = workspace;
            ScriptsDirectory = scriptsDirectory;
        }
    }
}
